unit veditorsimple;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, Menus,
  StdCtrls, ComCtrls,uvacercade;

type

  { TVentanaEditor }

  TVentanaEditor = class(TForm)
    Editor: TMemo;
    Imagenes: TImageList;
    MenuArchivo: TMenuItem;
    MenuEdicion: TMenuItem;
    MenuAcercaDe: TMenuItem;
    MenuAbrir: TMenuItem;
    MenuGuardar: TMenuItem;
    MenuCopiar: TMenuItem;
    MenuPegar: TMenuItem;
    MenuSalir: TMenuItem;
    MenuPrincipal: TMainMenu;
    BarraHerramientas: TToolBar;
    BNuevo: TToolButton;
    BAbrir: TToolButton;
    BGuardar: TToolButton;
    ToolButton1: TToolButton;
    BCopiar: TToolButton;
    BPegar: TToolButton;
    ToolButton2: TToolButton;
    BBOM: TToolButton;
    ToolButton3: TToolButton;
    BTitulos: TToolButton;
    VentanaGuardar: TSaveDialog;
    VentanaAbrir: TOpenDialog;
    procedure BTitulosClick(Sender: TObject);
    procedure MenuAbrirClick(Sender: TObject);
    procedure MenuAcercaDeClick(Sender: TObject);
    procedure MenuCopiarClick(Sender: TObject);
    procedure MenuGuardarClick(Sender: TObject);
    procedure MenuPegarClick(Sender: TObject);
    procedure MenuSalirClick(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  VentanaEditor: TVentanaEditor;

implementation

{$R *.lfm}

{ TVentanaEditor }

procedure TVentanaEditor.MenuSalirClick(Sender: TObject);
begin
  Close
end;

procedure TVentanaEditor.MenuCopiarClick(Sender: TObject);
begin
  Editor.CopyToClipboard;
end;

procedure TVentanaEditor.MenuGuardarClick(Sender: TObject);
begin
  if VentanaGuardar.Execute then
    Editor.Lines.SaveToFile(VentanaGuardar.FileName);
end;

procedure TVentanaEditor.MenuAbrirClick(Sender: TObject);
begin
  if VentanaAbrir.Execute then
    Editor.Lines.LoadFromFile(VentanaAbrir.FileName);
end;

procedure TVentanaEditor.BTitulosClick(Sender: TObject);
begin
  if BarraHerramientas.ShowCaptions then
    Begin
      BarraHerramientas.ShowCaptions:=false;
      BarraHerramientas.ShowHint:=true;
      BarraHerramientas.ButtonHeight:=40;
      BarraHerramientas.ButtonWidth:=40;
      BarraHerramientas.Height:=43;
      BTitulos.ImageIndex:=8;
    end
  else
    Begin
      BarraHerramientas.ShowCaptions:=true;
      BarraHerramientas.ShowHint:=false;
      BarraHerramientas.ButtonHeight:=60;
      BarraHerramientas.ButtonWidth:=60;
      BarraHerramientas.Height:=63;
      BTitulos.ImageIndex:=7;
    end;
end;

procedure TVentanaEditor.MenuAcercaDeClick(Sender: TObject);
begin
  VAcercade.ShowModal;
end;

procedure TVentanaEditor.MenuPegarClick(Sender: TObject);
begin
  Editor.PasteFromClipboard;
end;

end.

